# $Revision: 1.7 $, $Date: 2006/12/08 01:01:55 $
#
# Conditional build:
%bcond_without	bsf	# without BSF support
#
%define		_beta	b4
%define		_rel	2
Summary:	BeanShell - Lightweight Scripting for Java
Summary(pl):	BeanShell - lekkie skrypty dla Javy
Name:		beanshell
Version:	2.0
Release:	0.%{_beta}.%{_rel}
License:	Sun Public License or LGPL
Group:		Development/Languages/Java
Source0:	http://www.beanshell.org/bsh-%{version}%{_beta}-src.jar
# Source0-md5:	49c9cc9872f26d562bffb1e5ec8aa377
URL:		http://www.beanshell.org/
BuildRequires:	ant >= 1.3
%{?with_bsf:BuildRequires:	bsf}
BuildRequires:	jdk >= 1.3
BuildRequires:	jpackage-utils
BuildRequires:	rpmbuild(macros) >= 1.300
BuildRequires:	servlet
BuildRequires:	unzip
Requires:	jre >= 1.1
BuildArch:	noarch
ExclusiveArch:	i586 i686 pentium3 pentium4 athlon %{x8664} noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
BeanShell is a small, free, embeddable Java source interpreter with
object scripting language features, written in Java. BeanShell
dynamically executes standard Java syntax and extends it with common
scripting conveniences such as loose types, commands, and method
closures like those in Perl and JavaScript.

%description -l pl
BeanShell to may, darmowy, osadzalny interpreter kodu rdowego Javy
z cechami obiektowych jzykw skryptowych, napisany w Javie. BeanShell
dynamicznie wykonuje standardow skadni Javy i rozszerza j o
popularne wygodne elementy skryptowe, takie jak lune typy, polecenia
i dopenienia metod podobnie jak Perl czy JavaScript.

%package javadoc
Summary:	BeanShell API documentation
Summary(pl):	Dokumentacja API BeanShell
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
BeanShell API documentation.

%description javadoc -l pl
Dokumentacja API BeanShell.

%prep
%setup -q -n BeanShell-%{version}%{_beta}

%build
export CLASSPATH="`build-classpath %{?with_bsf:bsf} servlet`"
export JAVA_HOME="%{java_home}"

%ant jarall javadoc \
	%{!?with_bsf:-Dexclude-bsf='bsh/util/BeanShellBSFEngine.java,TestBshBSF.java'}

cp -R docs/manual/html manual

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_javadir},%{_javadocdir}/%{name}-%{version}}

install dist/bsh-%{version}%{_beta}.jar $RPM_BUILD_ROOT%{_javadir}
ln -sf bsh-%{version}%{_beta}.jar $RPM_BUILD_ROOT%{_javadir}/bsh.jar

cp -R javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc asm/README-asm.txt bsf/README src/{*.html,*.txt}
%doc docs/{faq/faq.html,images,manual}
%{_javadir}/*.jar

%files javadoc
%defattr(644,root,root,755)
%doc %{_javadocdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: beanshell.spec,v $
Revision 1.7  2006/12/08 01:01:55  glen
- -javadoc R: jpackage-utils for parent dirs; rel 2

Revision 1.6  2006/05/25 11:27:51  jajcus
- Version: 2.0b4
- BR: jpackage-utils, rpmbuild(macros) >= 1.300
- ExclusiveArch
- BR: servlet
- javadoc subpackage added

Revision 1.5  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.4  2005/08/14 12:00:27  glen
- cosmetics

Revision 1.3  2005/08/14 11:58:52  glen
- I see no arch specific files here. noarch the package

Revision 1.2  2005/05/08 14:31:24  qboosh
- BR: unzip

Revision 1.1  2005/05/08 13:35:58  qboosh
- new
